Intrusion Prevention

Adobe.PageMaker.Fontname.Buffer.Overflow

Description

This indicates an attempt to exploit a buffer overflow vulnerability in Adobe PageMaker for Windows.
The vulnerability results from a boundary check error in MAIPM6.DLL, when handling font names in PageMaker (.PMD) files. An attacker can trigger a buffer overflow and execute arbitrary code on the target system.

Affected Products

Adobe PageMaker 7.0.1, 7.0.2 for Windows.

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch, available at:
http://www.adobe.com/support/security/bulletins/downloads/MAIPM6.zip
The Adobe advisory is can be viewed at:
http://www.adobe.com/support/security/bulletins/apsb07-15.html

CVE References

CVE-2007-5169